#include <FL/Fl.H>
#include <FL/Fl_Select_Browser.H>
#include <FL/Fl_Double_Window.H>
#include <FL/Fl_Button.H>
#include <stdio.h>
#include <string.h>
#include <errno.h>
#include <stdlib.h>

Fl_Select_Browser *browser;
Fl_Button *plus;
Fl_Button *minus;

void change_cb(Fl_Widget *o, void *) {
  static int fontsize_offset = 0;
  if (o == plus)
    { browser->textsize(14 + (++fontsize_offset)); browser->redraw(); }
  else if (o == minus)
    { browser->textsize(14 + (--fontsize_offset)); browser->redraw(); }
}

int main(int argc, char **argv) {
  Fl_Double_Window window(560,400,"test font size");
  browser = new Fl_Select_Browser(0,0,560,370,0);
  browser->type(FL_MULTI_BROWSER);
  char s[80];
  for ( int t=1; t<25; t++ ) {
    sprintf(s, "item %04d", t);
    browser->add(s);
  }

  plus = new Fl_Button(0, 375, 80, 25, "+Font");
  plus->callback(change_cb);
  plus->shortcut(FL_COMMAND + '=');

  minus = new Fl_Button(80, 375, 80, 25, "-Font");
  minus->callback(change_cb);
  minus->shortcut(FL_COMMAND + '-');

  window.resizable(browser);
  window.show(argc,argv);
  return Fl::run();
}
